# comment out when not pre-release
#define prel	RC1

# release to bump
%define rel	2

%if 0%{?prel:1}
%define lpre	%(echo %{prel}|tr A-Z a-z)
%endif

%define realname opengfx

%bcond_without check

Name:		openttd-%{realname}
Version:	7.1
Release:	%mkrel %{?prel:0.%lpre.}%{rel}
Summary:	OpenGFX graphics replacement set for OpenTTD

Group:		Games/Strategy
License:	GPLv2
URL:		https://github.com/OpenTTD/OpenGFX
Source0:	http://cdn.openttd.org/opengfx-releases/%{version}%{?prel:-%prel}/opengfx-%{version}%{?prel:-%prel}-source.tar.xz
BuildArch:	noarch
BuildRequires:	grfcodec
BuildRequires:	nml >= 0.4.1
BuildRequires:	gimp
BuildRequires:	dos2unix
BuildRequires:	python3

%description
OpenGFX is an open source graphics base set for OpenTTD which can completely
replace the TTD base set.

%prep
%setup -q -n %{realname}-%{version}%{?prel:-%prel}-source
%autopatch -p1

%build
make UNIX2DOS_FLAGS="-q" _V= PYTHON=%{__python3}

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data/%{realname}
make install \
	_V= PYTHON=%{__python3} \
	INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname} \
	DOCDIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname}

%if %{with check}
%check
make check
%endif

%files
%{_gamesdatadir}/openttd/data/%{realname}/


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 7.1-2.mga9
+ Revision: 1846020
- Mageia 9 Mass Rebuild

* Wed Oct 06 2021 wally <wally> 7.1-1.mga9
+ Revision: 1749780
- new version 7.1

* Thu Sep 16 2021 wally <wally> 7.0-1.mga9
+ Revision: 1745601
- new version 7.0

* Mon Apr 05 2021 wally <wally> 0.6.1-1.mga9
+ Revision: 1713450
- new version 0.6.1
+ ovitters <ovitters>
- update URL (as per link on old URL)

* Thu Apr 16 2020 wally <wally> 0.6.0-1.mga8
+ Revision: 1567906
- new version 0.6.0

* Tue Mar 03 2020 umeabot <umeabot> 0.5.5-2.mga8
+ Revision: 1553462
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 wally <wally> 0.5.5-1.mga7
+ Revision: 1385423
- new version 0.5.5

* Wed Sep 19 2018 umeabot <umeabot> 0.5.4-3.mga7
+ Revision: 1265398
- Mageia 7 Mass Rebuild

* Wed May 11 2016 akien <akien> 0.5.4-2.mga6
+ Revision: 1012400
- Version 0.5.4

* Fri Feb 19 2016 umeabot <umeabot> 0.5.3-2.mga6
+ Revision: 969936
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 wally <wally> 0.5.3-1.mga6
+ Revision: 883352
- new version 0.5.3

* Fri Apr 24 2015 wally <wally> 0.5.2-1.mga5
+ Revision: 820691
- new version 0.5.2

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 749328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-2.mga5
+ Revision: 683253
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 wally <wally> 0.5.1-1.mga5
+ Revision: 638905
- new version 0.5.1

* Fri Apr 04 2014 wally <wally> 0.5.0-1.mga5
+ Revision: 611719
- new version 0.5.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 532244
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 wally <wally> 0.4.7-2.mga4
+ Revision: 467606
- rebuild with python-pillow enabled nml

* Sat Jun 15 2013 wally <wally> 0.4.7-1.mga4
+ Revision: 443305
- new version 0.4.7
- don't re-generate graphics (slow and unneeded)

* Sun Jan 13 2013 wally <wally> 0.4.6.1-1.mga3
+ Revision: 368582
- new version 0.4.6.1
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.4.4-4.mga3
+ Revision: 257716
- clean specfile

* Mon Apr 23 2012 wally <wally> 0.4.4-3.mga2
+ Revision: 233009
- own unowned dir
- simplify previous commit by cleaning .spec

* Sun Apr 22 2012 zezinho <zezinho> 0.4.4-2.mga2
+ Revision: 232649
- move some doc files to activate ingame options menu buttons
- move data files to a named directory to follow upstream default

* Thu Apr 19 2012 wally <wally> 0.4.4-1.mga2
+ Revision: 231856
- new version 0.4.4

* Mon Feb 27 2012 zezinho <zezinho> 0.4.3-1.mga2
+ Revision: 215579
- this version requires at least nml-0.2.3 to build now
- new version

* Sun Feb 12 2012 wally <wally> 0.4.2-1.mga2
+ Revision: 208210
- new version 0.4.2

* Sat Dec 31 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 189262
- new version 0.4.1
- BR nml and gimp

* Sat Oct 08 2011 wally <wally> 0.3.7-1.mga2
+ Revision: 152992
- new version 0.3.7

* Thu Sep 22 2011 wally <wally> 0.3.6-1.mga2
+ Revision: 146769
- new version 0.3.6
- new version 0.3.5

* Tue Jun 07 2011 wally <wally> 0.3.4-1.mga2
+ Revision: 101488
- new version 0.3.4

* Sat Apr 02 2011 wally <wally> 0.3.3-1.mga1
+ Revision: 79765
- new version 0.3.3
- drop buildroot definition

* Sun Jan 09 2011 wally <wally> 0.3.2-2.mga1
+ Revision: 1689
- remove old conflicts
- imported package openttd-opengfx


* Thu Dec 23 2010 Jani Välimaa <wally@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 624012
- new version 0.3.2

* Tue Sep 21 2010 Jani Välimaa <wally@mandriva.org> 0.3.1-3mdv2011.0
+ Revision: 580387
- new version 0.3.1

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-3mdv2011.0
+ Revision: 577129
- fix file permissions

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 577076
- don't install docs twice

* Fri Sep 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 577071
- new version 0.3.0
- fix source url
- fix file list

* Mon May 03 2010 Jani Välimaa <wally@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 541786
- new version 0.2.4

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 534620
- import openttd-opengfx


